package com.zoniot.ccrc.dao;


import com.zoniot.ccrc.entity.CommunityOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (CommunityOrg)表数据库访问层
 *
 * @author hym
 * @since 2021-03-26 15:05:15
 */
@Mapper
public interface CommunityOrgMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CommunityOrg selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<CommunityOrg> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param communityOrg 实例对象
     * @return 对象列表
     */
    List<CommunityOrg> selectList(CommunityOrg communityOrg);

    /**
     * 新增数据
     *
     * @param communityOrg 实例对象
     * @return 影响行数
     */
    int insert(CommunityOrg communityOrg);

    /**
     * 批量新增
     *
     * @param communityOrgs 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("communityOrgs") List<CommunityOrg> communityOrgs);

    /**
     * 修改数据
     *
     * @param communityOrg 实例对象
     * @return 影响行数
     */
    int update(CommunityOrg communityOrg);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

   // IPage<CommunityOrg> selectPage(IPage<CommunityOrg> page, CommunityOrg communityOrg);

}