package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.time.LocalDateTime;

@ApiModel(value="com.zcxk.water.entity.ClientUser")
@Data
public class ClientUser implements Serializable {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="手机号码")
    private String mobilePhone;

    @ApiModelProperty(value="客户名称")
    private String username;

    @ApiModelProperty(value = "客户编号")
    private String userNumber;

    @ApiModelProperty(value = "客户地址")
    private String address;

    @ApiModelProperty(value="是否默认 0：否 1：是")
    private Integer isDefault;

    @ApiModelProperty(value="水司ID",position = 11)
    private Integer customerId;

    @ApiModelProperty(value="WebChatID")
    private String openid;

    @ApiModelProperty(value="siteId")
    private BigInteger siteId;

    @ApiModelProperty(value="状态")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="创建者")
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="修改者")
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="修改时间")
    private LocalDateTime dateUpdate;
    private String label;
    private String emergencyContact;
    private String emergencyContactPhoneNumber;
}