package com.zoniot.ccrc.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(value="客户")
@Data
public class Customer implements Serializable {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="站点，参考sc_site主键", hidden = true)
    private Integer siteId;

    @ApiModelProperty(value="客户名称")
    private String customerName;

    @ApiModelProperty(value="客户联系方式")
    private String customerPhone;

    @ApiModelProperty(value="客户联系人")
    private String customerContactPerson;

    @ApiModelProperty(value="推送地址")
    private String pushUrl;

    @ApiModelProperty(value="客户编号", hidden = true)
    private String customerNo;

    @ApiModelProperty(value="客户token")
    private String token;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="状态", hidden = true)
    private Integer status;

    @ApiModelProperty(value="客户对应机构，每个客户都会有个对应的机构", hidden = true)
    private Integer customerOrgId;

    @ApiModelProperty(value="创建时间", hidden = true)
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="更新时间", hidden = true)
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="创建人", hidden = true)
    private String createBy;

    @ApiModelProperty(value="更新人", hidden = true)
    private String updateBy;

    @ApiModelProperty(value="上级客户ID")
    private Integer parentId;

    @ApiModelProperty(value="子客户数量")
    private Integer childrenNum;

    @ApiModelProperty(value="收据类型：0：默认 1：开鲁 2：盖州")
    private Integer payInvoiceType;
}
