package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("设备类型")
public class DeviceType implements Serializable {

    private static final long serialVersionUID = 987389838608639392L;

    @ApiModelProperty(value = "id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "系列", position = 2)
    private String equipmentType;

    @ApiModelProperty(value = "型号", position = 3)
    private String model;

    @ApiModelProperty(value = "厂商id", position = 5)
    private Integer manufacturerId;

    @ApiModelProperty(value = "设备类型 1:传感器 2;网关设备", position = 6)
    private Integer deviceType;

    @JsonIgnore
    @ApiModelProperty(value = "状态 0：删除 1：正常", position = 8, hidden = true)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy;
    
    @ApiModelProperty(value = "上报周期，单位小时", position = 53, hidden = true)
    private Double period ; 
    
    @ApiModelProperty(value = "监控作业表达式，CronExpression", position = 53, hidden = true)
    private String expression ;

    @ApiModelProperty(value = "有无阀门 0：无 1：有", position = 53, hidden = true)
    private Integer isValve ;

    @ApiModelProperty(value = "是否需要注册 0：否：是", position = 53, hidden = true)
    private Integer isRegister ;

}
