package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel(value="com-bz-smart_city-entity-OperationLog")
public class OperationLog {

    @ApiModelProperty(value="id")
    private Integer id;

    @ApiModelProperty(value="站点id",hidden = true)
    private Integer siteId;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="操作名称")
    private String operationName;

    @ApiModelProperty(value="用户")
    private String username;

    @ApiModelProperty(value="旧数据")
    private String oldData;

    @ApiModelProperty(value="新数据")
    private String newData;

    @JsonIgnore
    @ApiModelProperty(value="状态",hidden = true)
    private Integer status;

    @ApiModelProperty(value="手机号")
    private String mobilePhone;

    @JsonIgnore
    @ApiModelProperty(value="创建人",hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @JsonIgnore
    @ApiModelProperty(value="更新人",hidden = true)
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="更新时间",hidden = true)
    private LocalDateTime updateDate;

}