package com.zoniot.ccrc.security.openid;


import com.zoniot.ccrc.dto.LoginUser;
import com.zoniot.ccrc.entity.ClientUser;
import com.zoniot.ccrc.service.AppletsService;
import org.springframework.beans.BeanUtils;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Component
public class OpenidLoginUserDetailService implements UserDetailsService {
    @Resource
    private AppletsService clientUserService;


    @Override
    public UserDetails loadUserByUsername(String openid) throws UsernameNotFoundException {
        LoginUser loginClientUser = new LoginUser();
        List<ClientUser> clientUser = clientUserService.findUserByOpenid(openid,1);

        //查询是否有默认
        if (clientUser.size() == 0) {
            List<ClientUser> noDefault = clientUserService.findUserByOpenid(openid,null);
            if (noDefault.size()>0) {
                noDefault.get(0).setIsDefault(1);
                clientUserService.updateByPrimaryKeySelective(noDefault.get(0));
                //更新缓存信息
                loginClientUser.setId(noDefault.get(0).getId());
                loginClientUser.setCustomerId(noDefault.get(0).getCustomerId());
                loginClientUser.setDefaultUserNumber(noDefault.get(0).getUserNumber());
                BeanUtils.copyProperties(noDefault.get(0), loginClientUser);
            } else {
                //更新缓存信息
                ClientUser newClientUser = new ClientUser();
                newClientUser.setOpenid(openid);
                //clientUserService.insertSelective(newClientUser);
                BeanUtils.copyProperties(newClientUser, loginClientUser);
            }
        }else
        {
            loginClientUser.setDefaultUserNumber(clientUser.get(0).getUserNumber());
            loginClientUser.setId(clientUser.get(0).getId());
            loginClientUser.setCustomerId(clientUser.get(0).getCustomerId());
            BeanUtils.copyProperties(clientUser.get(0), loginClientUser);
        }

        loginClientUser.setPermissionList(new ArrayList<>());
        loginClientUser.setIsSuperAdmin(1);
        return loginClientUser;
    }
}
