package com.zoniot.ccrc.service;

import com.zoniot.ccrc.commom.model.CommunityData;
import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.dto.BuildingSelectDto;
import com.zoniot.ccrc.dto.CommunityDto;
import com.zoniot.ccrc.entity.Community;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CommunityService {

    int insert(Community community);

    int insertSelective(Community community);

    int insertList(List<Community> communitys);

    int updateByPrimaryKeySelective(Community community);

    List<CommunityDto> queryList(Community community);

    List<CommunityDto> queryCommunity(Community community);

    Pagination<CommunityDto> getCommunityPage(String communityName,  Integer province, Integer city,  Integer region,Integer orgId,  int pageNum,  int pageSize);

    void addCommunity(@Param("communityDto") CommunityDto communityDto);

    void editCommunity(@Param("community") Community community);

    void deleteCommunity(@Param("communityId") Integer communityId);

    List<BuildingSelectDto> getAreaTree();

    Community findByName(Integer siteId, String communityName);

    Community findById(Integer communityId);

    List<Community> findBySiteId(Integer siteId);

    List<BuildingSelectDto> regionSearch(Integer siteId, String name);

    /**
     * 根据查询包含建筑的小区
     * @param siteId
     * @param communityName
     * @return
     */
    List<CommunityDto> queryCommunityTree(Integer siteId, String communityName);

    List<Community> getMaxCodeBySiteId(Integer siteId);

    Community findByNameV2(Integer siteId, Integer province, Integer city, Integer region, String communityName);

    Community findCacheByName(Integer siteId, String communityName);


    List<Community> getOrgCommunity(Integer orgId, Integer areaId);

    void syncCommunity(CommunityData communityData);
}
