package com.zoniot.ccrc.service;


import com.zoniot.ccrc.dto.GridInfo;
import com.zoniot.ccrc.dto.GridUser;
import com.zoniot.ccrc.entity.Building;
import com.zoniot.ccrc.entity.Community;
import com.zoniot.ccrc.entity.Device;
import com.zoniot.ccrc.entity.GridManagement;

import java.util.List;


/**
 * (GridManagement)表服务接口
 *
 * @author hym
 * @since 2021-02-23 11:48:06
 */
public interface GridManagementService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    GridManagement selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<GridManagement> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param gridManagement 实例对象
     * @return 对象列表
     */
    List<GridManagement> selectList(GridManagement gridManagement);

    /**
     * 新增数据
     *
     * @param gridManagement 实例对象
     * @return 影响行数
     */
    int insert(GridInfo gridManagement);

    /**
     * 批量新增
     *
     * @param gridManagements 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<GridManagement> gridManagements);

    /**
     * 修改数据
     *
     * @param gridManagement 实例对象
     * @return 修改
     */
    int update(GridManagement gridManagement);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    List<GridUser> selectGirdUserInfo(String name, Integer orgId);

    List<Community> getCommutityByOrg(Integer orgId);

    List<Building> getBuildingByCommutity(Integer commutityId);

    List<Device> getDevices(Integer buildingId, Integer userId, String address);

    void deleteGridDevice(Integer id);
}